| OpenCV 3.4.3 Open Source Computer Vision

Public Member Functions | Protected Attributes | List of all members
cv::videostab::DeblurerBase Class Referenceabstract
Video Stabilization

`#include "deblurring.hpp"`

Inheritance diagram for cv::videostab::DeblurerBase:

## Public Member Functions
| DeblurerBase ()
virtual | ~DeblurerBase ()
virtual const std::vector< float > & | blurrinessRates () const
virtual void | deblur (int idx, Mat &frame)=0
virtual const std::vector< Mat > & | frames () const
virtual const std::vector< Mat > & | motions () const
virtual int | radius () const
virtual void | setBlurrinessRates (const std::vector< float > &val)
virtual void | setFrames (const std::vector< Mat > &val)
virtual void | setMotions (const std::vector< Mat > &val)
virtual void | setRadius (int val)

## Protected Attributes
const std::vector< float > * | blurrinessRates_
const std::vector< Mat > * | frames_
const std::vector< Mat > * | motions_
int | radius_

## Constructor & Destructor Documentation

## § DeblurerBase()

cv::videostab::DeblurerBase::DeblurerBase | ( |  | ) |
| inline

## § ~DeblurerBase()

virtual cv::videostab::DeblurerBase::~DeblurerBase | ( |  | ) |
| inline virtual

## Member Function Documentation

## § blurrinessRates()

virtual const std::vector<float>& cv::videostab::DeblurerBase::blurrinessRates | ( |  | ) | const
| inline virtual

## § deblur()

virtual void cv::videostab::DeblurerBase::deblur | ( | int | idx,
|  | Mat & | frame
| ) |  |
| pure virtual

Implemented in cv::videostab::WeightingDeblurer, and cv::videostab::NullDeblurer.

## § frames()

virtual const std::vector<Mat>& cv::videostab::DeblurerBase::frames | ( |  | ) | const
| inline virtual

## § motions()

virtual const std::vector<Mat>& cv::videostab::DeblurerBase::motions | ( |  | ) | const
| inline virtual

## § radius()

virtual int cv::videostab::DeblurerBase::radius | ( |  | ) | const
| inline virtual

## § setBlurrinessRates()

virtual void cv::videostab::DeblurerBase::setBlurrinessRates | ( | const std::vector< float > & | val | ) |
| inline virtual

## § setFrames()

virtual void cv::videostab::DeblurerBase::setFrames | ( | const std::vector< Mat > & | val | ) |
| inline virtual

## § setMotions()

virtual void cv::videostab::DeblurerBase::setMotions | ( | const std::vector< Mat > & | val | ) |
| inline virtual

## § setRadius()

virtual void cv::videostab::DeblurerBase::setRadius | ( | int | val | ) |
| inline virtual

## Member Data Documentation

## § blurrinessRates_

const std::vector<float>* cv::videostab::DeblurerBase::blurrinessRates_
| protected

## § frames_

const std::vector<Mat>* cv::videostab::DeblurerBase::frames_
| protected

## § motions_

const std::vector<Mat>* cv::videostab::DeblurerBase::motions_
| protected

## § radius_

int cv::videostab::DeblurerBase::radius_
| protected

The documentation for this class was generated from the following file:

- videostab/include/opencv2/videostab/deblurring.hpp